EnTT: entt::iota_iterator< Type > Class Template Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
entt::iota_iterator< Type > Class Template Referencefinal

Plain iota iterator (waiting for C++20). More...

`#include <iterator.hpp>`

## Public Types
using | value_type = Type
| Value type, likely an integral one.
using | pointer = void
| Invalid pointer type.
using | reference = value_type
| Non-reference type, same as value type.
using | difference_type = std::ptrdiff_t
| Difference type.
using | iterator_category = std::input_iterator_tag
| Iterator category.

## Public Member Functions
constexpr | iota_iterator () noexcept
| Default constructor.
constexpr | iota_iterator (const value_type init) noexcept
| Constructs an iota iterator from a given value.
constexpr iota_iterator & | operator++ () noexcept
| Pre-increment operator.
constexpr iota_iterator | operator++ (int) noexcept
| Post-increment operator.
constexpr reference | operator* () const noexcept
| Dereference operator.

## Detailed Description

template<typename Type>
class entt::iota_iterator< Type >

Plain iota iterator (waiting for C++20).

Template Parameters

  Type | Value type.

Definition at line 56 of file iterator.hpp.

## Member Typedef Documentation

## ◆ difference_type

template<typename Type>

using entt::iota_iterator< Type >::difference_type = std::ptrdiff_t

Difference type.

Definition at line 67 of file iterator.hpp.

## ◆ iterator_category

template<typename Type>

using entt::iota_iterator< Type >::iterator_category = std::input_iterator_tag

Iterator category.

Definition at line 69 of file iterator.hpp.

## ◆ pointer

template<typename Type>

using entt::iota_iterator< Type >::pointer = void

Invalid pointer type.

Definition at line 63 of file iterator.hpp.

## ◆ reference

template<typename Type>

using entt::iota_iterator< Type >::reference = value_type

Non-reference type, same as value type.

Definition at line 65 of file iterator.hpp.

## ◆ value_type

template<typename Type>

using entt::iota_iterator< Type >::value_type = Type

Value type, likely an integral one.

Definition at line 61 of file iterator.hpp.

## Constructor & Destructor Documentation

## ◆ iota_iterator() [1/2]

template<typename Type>

entt::iota_iterator< Type >::iota_iterator | ( |  | ) |
| inlineconstexprnoexcept

Default constructor.

Definition at line 72 of file iterator.hpp.

## ◆ iota_iterator() [2/2]

template<typename Type>

entt::iota_iterator< Type >::iota_iterator | ( | const value_type | init | ) |
| inlineconstexprnoexcept

Constructs an iota iterator from a given value.

Parameters

  init | The initial value assigned to the iota iterator.

Definition at line 79 of file iterator.hpp.

## Member Function Documentation

## ◆ operator*()

template<typename Type>

reference entt::iota_iterator< Type >::operator* | ( |  | ) | const
| inlinenodiscardconstexprnoexcept

Dereference operator.

Returns
  The underlying value.

Definition at line 103 of file iterator.hpp.

## ◆ operator++() [1/2]

template<typename Type>

iota_iterator & entt::iota_iterator< Type >::operator++ | ( |  | ) |
| inlineconstexprnoexcept

Pre-increment operator.

Returns
  This iota iterator.

Definition at line 86 of file iterator.hpp.

## ◆ operator++() [2/2]

template<typename Type>

iota_iterator entt::iota_iterator< Type >::operator++ | ( | int |  | ) |
| inlineconstexprnoexcept

Post-increment operator.

Returns
  This iota iterator.

Definition at line 94 of file iterator.hpp.

The documentation for this class was generated from the following file:

- src/entt/core/iterator.hpp